﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Uloha
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            this.openFileDialog1.Filter =
                "Obrázky (*.JPG;*.JPG)|*.JPEG;*.JPG";
            this.openFileDialog1.Multiselect = false;
            this.openFileDialog1.Title = "Režim procházení adresářů";
            int doleva = 0;
            int doprava = 0;

            this.openFileDialog2.Filter =
                "Obrázky (*.JPG;*.JPG)|*.JPEG;*.JPG";
            this.openFileDialog2.Multiselect = true;
            this.openFileDialog2.Title = "Vyberte obrázky pro slideshow";


            this.openFileDialog1.ShowDialog();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            Graphics g = CreateGraphics();
            this.Activate();
            string file = "";
            label1.Text = "Jméno souboru: ";
            label2.Text = "Rozlišení: ";
            label3.Text = "Procento zvětšení: ";
            file = openFileDialog1.FileName;
            Image newImage = Image.FromFile(file);
            this.pictureBox1.Image = newImage;
            this.label1.Text += file;
            float procento = ((pictureBox1.Width * pictureBox1.Height) / (newImage.Width * newImage.Height)) * 100;
            label2.Text += newImage.Width + "x" + newImage.Height;
            label3.Text += (int)procento + "%";
            pictureBox1.Refresh();
        }

        private void pictureBox1_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            openFileDialog1.ShowDialog();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            
        }

        private void hScrollBar1_Scroll(object sender, ScrollEventArgs e)
        {
            Image temp = this.pictureBox1.Image;
        }

        private void openFileDialog2_FileOk(object sender, CancelEventArgs e)
        {
            //this.Activate();
            pictureBox1.Image = null;
            label1.Text = "Jméno souboru: ";
            string[] files = openFileDialog2.FileNames;
            Image newImage;
            foreach (string file in files)
            {
                newImage = Image.FromFile(file);
                pictureBox1.Image = newImage;
                pictureBox1.Refresh();
                label1.Text = "Jméno souboru: ";
                label1.Text += file;
                System.Threading.Thread.Sleep(2000);
            }
            pictureBox1.Image = null;

        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.openFileDialog2.ShowDialog();
        }
        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
            {
                this.Close();
            }
            if (e.KeyCode == Keys.S)
            {
                this.openFileDialog2.ShowDialog();
            }
            if (e.KeyCode == Keys.Enter)
            {
                this.openFileDialog1.ShowDialog();
            }
            e.Handled = false;
        }
        int clickedvlevo = 0;
        private void button2_Click_1(object sender, EventArgs e)
        {
            clickedvlevo++;
            switch (clickedvlevo-1)
            {
                case 0:
                    pictureBox1.Image.RotateFlip(RotateFlipType.Rotate90FlipNone);
                    break;
                case 1:
                    pictureBox1.Image.RotateFlip(RotateFlipType.Rotate180FlipNone);
                    break;
                case 2:
                    pictureBox1.Image.RotateFlip(RotateFlipType.Rotate270FlipNone);
                    break;
                case 3:
                    clickedvlevo = 0;
                    break;
            }
            
            pictureBox1.Refresh();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            pictureBox1.Image.RotateFlip(RotateFlipType.RotateNoneFlipX);
            pictureBox1.Refresh();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            pictureBox1.Image.RotateFlip(RotateFlipType.RotateNoneFlipY);
            pictureBox1.Refresh();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            if (pictureBox1.Width <= 540)
            {
                pictureBox1.Width += 8;
                pictureBox1.Height += 6;
                pictureBox1.Refresh();
            }
        }

        private void button8_Click(object sender, EventArgs e)
        {
                pictureBox1.Width -= 8;
                pictureBox1.Height -= 6;
                pictureBox1.Refresh();
        }
          
    }
}
;